line_model.h File Reference
`#include <spandsp.h>`

Go to the source code of this file.

## Classes

struct | one_way_line_model_state_t
struct | both_ways_line_model_state_t

## Macros

#define | SPANDSP_EXPOSE_INTERNAL_STRUCTURES
#define | LINE_FILTER_SIZE 129

## Functions

void | both_ways_line_model (both_ways_line_model_state_t *s, int16_t output1[], const int16_t input1[], int16_t output2[], const int16_t input2[], int samples)
void | both_ways_line_model_set_dc (both_ways_line_model_state_t *s, float dc1, float dc2)
void | both_ways_line_model_set_mains_pickup (both_ways_line_model_state_t *s, int f, float level1, float level2)
both_ways_line_model_state_t * | both_ways_line_model_init (int model1, float noise1, float echo_level_cpe1, float echo_level_co1, int model2, float noise2, float echo_level_cpe2, float echo_level_co2, int codec, int rbs_pattern)
int | both_ways_line_model_release (both_ways_line_model_state_t *s)
void | one_way_line_model (one_way_line_model_state_t *s, int16_t output[], const int16_t input[], int samples)
void | one_way_line_model_set_dc (one_way_line_model_state_t *s, float dc)
void | one_way_line_model_set_mains_pickup (one_way_line_model_state_t *s, int f, float level)
one_way_line_model_state_t * | one_way_line_model_init (int model, float noise, int codec, int rbs_pattern)
int | one_way_line_model_release (one_way_line_model_state_t *s)

## Variables

SPAN_DECLARE_DATA const float * | line_models []